Skip to main content
GET
/
providers
/
{id}
Get Provider
curl --request GET \
  --url https://api.example.com/providers/{id} \
  --header 'Authorization: Bearer <token>'
{
  "provider": {
    "id": "kSuB9Gf6aD4",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "version": 123,
    "apiType": "REST",
    "visibilityType": "PUBLIC",
    "baseURL": "<string>",
    "documentURL": "<string>",
    "iconURL": "<string>",
    "secretPrefix": "<string>",
    "name": "<string>",
    "description": "<string>",
    "tools": [
      {
        "id": "kSuB9Gf6aD4",
        "providerID": "kSuB9Gf6aD4",
        "method": "GET",
        "path": "/users/{id}",
        "name": "makePayment",
        "title": "Make Payment",
        "description": "<string>",
        "pathArgsJSONSchema": {},
        "queryArgsJSONSchema": {},
        "reqBodyJSONSchema": {},
        "headers": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "oauth2Scopes": [
          "<string>"
        ]
      }
    ],
    "oauth2Config": {
      "clientID": "<string>",
      "clientSecret": "<string>",
      "authURL": "<string>",
      "tokenURL": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Enter 'Bearer' followed by a space and your token (e.g., 'Bearer ${HASMCP_ACCESS_TOKEN}').

Path Parameters

id
string
required

Provider ID

Response

200 - application/json

Provider details

provider
object